import { z } from "zod"

const link = z
  .object({ url: z.string().optional(), isExternal: z.boolean() })
  .optional()
  .nullable()

export const validateLanguageSwitcherData = z.object({
  da: link,
  de: link,
  en: link,
  fi: link,
  no: link,
  sv: link,
})
